#ifndef DELIVEROBJECT_H
#define DELIVEROBJECT_H

#include "DataObject.h"

class DeliverObject : public DataObject
{
    Q_OBJECT
public:
    explicit DeliverObject(QObject *parent = 0)
        :DataObject(parent){}

    Q_PROPERTY (QString id READ getId WRITE setId)
    Q_PROPERTY (QString name READ getName WRITE setName)
    Q_PROPERTY (QString phone READ getPhone WRITE setPhone)

protected:
    QString getId() const ;
    void setId(const QString& v);

    QString getName() const ;
    void setName(const QString& v);

    QString getPhone() const ;
    void setPhone(const QString& v);

public:
    QString id;
    QString name;
    QString phone;
};

#endif // DELIVEROBJECT_H
